package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;


/**
 * 母线信息表
 * */
@Table(name="PQ_SUBVOLTAGE")
public class SubVoltage {
	
	@Id
	@Column(name="SUBV_INDEX")
	private Long subvIndex;
	
	@Column(name="GD_INDEX")
	private Long gdIndex;
	
	@Column(name="SUB_INDEX")
	private Long subIndex;
	
	@Column(name="DEV_INDEX")
	private Long devIndex;
	
	@Column(name="NAME")
	private String name;
	
	@Column(name="SUBV_NUM")
	private Integer subvNum;
	
	@Column(name="SCALE")
	private String scale;
	
	@Column(name="SUBVMODEL")
	private Long subvModel;

	public Long getSubvIndex() {
		return subvIndex;
	}

	public void setSubvIndex(Long subvIndex) {
		this.subvIndex = subvIndex;
	}

	public Long getGdIndex() {
		return gdIndex;
	}

	public void setGdIndex(Long gdIndex) {
		this.gdIndex = gdIndex;
	}

	public Long getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Long subIndex) {
		this.subIndex = subIndex;
	}

	public Long getDevIndex() {
		return devIndex;
	}

	public void setDevIndex(Long devIndex) {
		this.devIndex = devIndex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getSubvNum() {
		return subvNum;
	}

	public void setSubvNum(Integer subvNum) {
		this.subvNum = subvNum;
	}

	public String getScale() {
		return scale;
	}

	public void setScale(String scale) {
		this.scale = scale;
	}

	public Long getSubvModel() {
		return subvModel;
	}

	public void setSubvModel(Long subvModel) {
		this.subvModel = subvModel;
	}

	@Override
	public String toString() {
		return "SubVoltage [subvIndex=" + subvIndex + ", gdIndex=" + gdIndex + ", subIndex=" + subIndex + ", devIndex="
				+ devIndex + ", name=" + name + ", subvNum=" + subvNum + ", scale=" + scale + ", subvModel=" + subvModel + "]";
	}
	
	
	

}
